Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class BsonReader.Reader

    java.lang.Object
      org.infinispan.schematic.internal.document.BsonReader.Reader

Enclosing class:
  BsonReader

    protected static class BsonReader.Reader

extends Object

Constructor Summary
`protected` | `BsonReader.Reader(BsonDataInput data, DocumentValueFactory valueFactory)`

Method Summary
`protected Document` | `endDocument()`
`protected String` | `readCString()`
`protected MutableDocument` | `readDocument(boolean array)`
`protected void` | `readElement(byte type, MutableDocument bson)`
`protected String` | `readString()`
`protected void` | `startDocument()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BsonReader.Reader

    protected BsonReader.Reader(BsonDataInput data,
                                DocumentValueFactory valueFactory)

Method Detail

### startDocument

    protected void startDocument()
                          throws IOException

  Throws:
    `IOException`

### readDocument

    protected MutableDocument readDocument(boolean array)
                                    throws IOException

  Throws:
    `IOException`

### readElement

    protected void readElement(byte type,
                               MutableDocument bson)
                        throws IOException

  Throws:
    `IOException`

### readCString

    protected String readCString()
                          throws IOException

  Throws:
    `IOException`

### readString

    protected String readString()
                         throws IOException

  Throws:
    `IOException`

### endDocument

    protected Document endDocument()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.